*************************************************************
DEFINE CLASS wwDataSet AS Relation
*************************************************************
*: Author: Rick Strahl
*:         (c) West Wind Technologies, 2002
*:Contact: http://www.west-wind.com
*:Created: 04/19/2002
*************************************************************
#IF .F.
*:Help Documentation
*:Topic:
Class wwDataSet

*:Description:
Wrapper class that provides a few .NET COM DataSet
helper methods.

*:Example:

*:Remarks:

*:SeeAlso:


*:ENDHELP
#ENDIF

*** Custom Properties

*** Stock Properties
************************************************************************
* wwDataSet :: AddRow
****************************************
***  Function: Adds a new row and formats the
***            fields to non-null values for
***            databinding.
***    Assume:
***      Pass: loTable   -   The DataSet Table to add
***                          the row to
***    Return: An empty DataRow
************************************************************************
FUNCTION AddRow(loTable)

loRow = loTable.NewRow()

FOR x = 1 TO loRow.Table.Columns.Count
 lcType = LOWER(loRow.Table.Columns.item(x-1).DataType.Name)
 DO CASE
    CASE lcType = "string"
       loRow.Item(x-1) = ""
    CASE lcType = "decimal" OR lctype = "int"
       loRow.item(x-1) = 0
    CASE lcType = "boolean"
       loRow.Item(x-1) = .F.
    CASE lcType = "datetime"
       loRow.Item(x-1) = { : }
 ENDCASE
ENDFOR

RETURN loRow

ENDDEFINE
*EOC wwDataSet 